Subject: Re: [Fink-beginners] posixtm failure [was: bug#8017: Error compiling coreutils]

From: Alexander Hansen <[email-masked]>
Date: Fri, 11 Feb 2011 14:21:01 -0500

On 2/11/11 1:19 PM, Eric Blake wrote:
> On 02/11/2011 09:53 AM, Toni Venters wrote:
>> Hi,
>>
>> The update for coreutils doesn't seem to want to compile.  It appears to be
>> failing one of the tests that it runs.  I've copied some of the print out
>> below.
> 
> Thanks for the report.
> 
> First, coreutils _did_ compile, it's just the test that failed.  You can
> probably install it anyways.

Incorrect, as far as Fink goes.  We generate binary packages for
installation, and we don't provide for resumption of the package build
process.

One could in principle install the package by hand from the build
directory, or try to perform the steps that Fink does manually, but it's
probably easier just not to force the testsuite.

> 
>> FAIL: test-posixtm (exit: 1)
>> ============================
>>
>> 000001010000.00 mismatch (-: actual; +:expected)
>> --62167132800
>> +-62167219200
>> 000012312359.59 return value mismatch: got 0, expected 1
>>
> 
> This particular test comes from gnulib, so I've added bug-gnulib in case
> someone there has better ideas on how to troubleshoot if it is a
> weakness in the test or a bug in fink's implementation of posixtm() that
> gnulib should be working around.
> 
> 
> 
> 

Builds are on Mac OS X, by the way.

As far as I can tell, the only occurrence of posixtm in Fink is in the
coreutils tarball, and we don't patch lib/posixtm.h or lib/posixtm.c in
the build process, so I don't see how it could be our implementation.

The failure occurs for me when building on OS 10.6.4 (Intel), 64-bit
(I'm not sure what Toni has).  The test passes on 10.5/32-bit and
10.6/32-bit for me with the same package description--32 bit and 64 bit
use identical procedures.
- -- 
Alexander Hansen, Ph.D.
Fink User Liaison